[toc]

# 系统背景

​     东信运营中心系统是将东信相关系统数据通过几个大屏整合起来集中展示，形成运营中心系统



## 现状分析

餐饮 平均数据量 100条

活动中心 平均每天数据量在 10条

通行记录 平均每天数据量 6000条



# 系统目标

- 提供4-5个大屏数据支撑展现
- 结果报表层为数据缓存结果层，在没有计算层数据产生情况，一直保持数据正常展示




# 系统架构

该系统分为两部分，大屏层，接口层，结果报表层 统一归为展示层， 计算层和原始数据层统一归为数据计算层。 在计算层未产生数据情况下，展示层应可以正常展示。



![image-20220420140134011](/Users/admin/eclipse-workspace/hippo-book/image/image-0420.png)







# 功能需求

## 能源环境

**时间维度**：天

**模块维度**：电量，給排水，暖通，环境

| 指标                        | 指标类型 | 计算时间               | 归属对象                   |
| --------------------------- | -------- | ---------------------- | -------------------------- |
| 电量-当月用电量             | Float    | 按天计算               | 能源与环境表               |
| 电量-上月用电量             | Float    | 按天计算               |                            |
| 电量-上月用电量分析集合     | JSON     | 按天计算               |                            |
| 电量-本月层均用电量         | Float    | 按天计算               |                            |
| 电量-**楼层用电分析**集合   | JSON     | 按天计算               | 能源与环境表               |
| 给排水-当月用水量           | Float    | 按天计算               | 能源与环境表               |
| 给排水-上月用水量           | Float    | 按天计算               |                            |
| 给排水-上月各类型用水量集合 | JSON     | 按天计算               |                            |
| 给排水-今日用水量           | Float    | 实时计算               | 0                          |
| 给排水-各类型用水量集合     | JSON     | 实时计算               |                            |
| 暖通-当月制冷量             | Float    | 按天计算               |                            |
| 暖通-上月制冷量             | Float    | 按天计算               |                            |
| 暖通-上月同步               | Float    | 前天计算               |                            |
| 暖通-当月发热量             |          | 按天计算               |                            |
| 暖通-上月发热量             |          | 按天计算               |                            |
| 暖通-发热同步               |          | 前端计算               |                            |
| 暖通-在线设备数             | Float    | 实时计算               | 暂时拿不到数据，默认都在线 |
| 暖通-离线设备数             |          | 实时计算               |                            |
| 暖通-设备总数               |          | 按天计算，实时计算更新 |                            |
| 暖通-设备本月运行时长集合   | JSON     | 按天计算               |                            |
| 环境-室内温度               |          | 实时计算               |                            |
| 环境-室内湿度               |          | 实时计算               |                            |
| 环境-室外温度               |          | 实时计算               |                            |
| 环境-室外湿度               |          | 实时计算               |                            |
| 环境-7日甲醛含量集合        | JSON     | 按天计算               |                            |
| 环境-7日PM2.5集合           | JSON     | 按天计算               |                            |
|                             |          |                        |                            |

   

## 安防监控

时间维度：天

模块维度：安防，巡更，消防

| 指标                              | 指标类型 | 计算时间 | 归属大屏 | 描述               |
| --------------------------------- | -------- | -------- | -------- | ------------------ |
|                                   |          |          |          |                    |
| 安防-监控设备个数                 |          | 按天计算 |          |                    |
| 安防-在线设备                     |          | 实时计算 |          | 提供初始值         |
| 安防-离线设备                     |          | 实时计算 |          | 提供初始值         |
| 安防-7日事件总数                  |          | 按天计算 |          |                    |
| 安防-7日超时处理事件总数          |          | 按天计算 |          |                    |
| 安防-按时处理总数                 |          | 按天计算 |          |                    |
| 安防-未处理总数                   |          | 按天计算 |          |                    |
| 安防-实时视频边界防护事件记录集合 | JSON     | 实时计算 |          |                    |
| 安防-实时关键区域防护事件记录集合 | JSON     | 实时计算 |          |                    |
| 巡更-巡更点位数                   |          | 按天计算 |          |                    |
| 巡更-巡更任务数                   |          | 按天计算 |          |                    |
| 巡更-按时完成数                   |          | 实时计算 |          |                    |
| 巡更-延期完成数                   |          | 实时计算 |          |                    |
| 巡更-实时巡更任务集合             |          | 实时计算 |          |                    |
| 消防-消防点位数                   |          | 按天计算 |          |                    |
| 消防-7日消防事件未处理数          |          | 按天计算 |          |                    |
| 消防-7日消防事件处理数            |          | 按天计算 |          |                    |
| 消防-7日消防事件按时处理数        |          | 按天计算 |          |                    |
| 消防-实时告警集合                 |          | 实时计算 |          |                    |
| 消防-水箱状态                     |          | 实时计算 |          |                    |
| 消防-水箱水量（液位高低）         |          | 实时计算 |          | 改为液位高低指标   |
| 消防-消控室值班监控出勤时长       |          | 实时计算 |          |                    |
| 消防-各楼层实时水压               | JSON     | 定时计算 |          | 这里体现各个配电室 |
| 消防-各楼层实时电气               | JSON     | 定时计算 |          |                    |
| 消防-火点智能识别状态             |          | 实时计算 |          |                    |
|                                   |          |          |          |                    |

 

## 出入通行

时间维度：天

模块维度：人员通行，车辆通行

| 指标                          | 计算时间 | 计算方法 |
| ----------------------------- | -------- | -------- |
| 人员通行-今日总人流量         | 实时计算 |          |
| 人员通行-1楼进入人流量        | 实时     |          |
| 人员通行-地库进入流量         | 实时     |          |
| 人员通行-门禁设备数           | 天计算   |          |
| 人员通行-在线设备             | 定时     |          |
| 人员通行-离线设备             | 定时     |          |
| 人员通行-通行成功人次         | 实时计算 |          |
| 人员通行-体温异常人次         | 实时计算 |          |
| 人员通行-健康码异常人次       | 实时计算 |          |
| 人员通行-陌生人次             | 实时计算 |          |
| 人员通行-打卡时间分析集合     | 定时计算 | JSON     |
| 人员通行-实时通行数据         | 实时计算 | JSON     |
| 人员通行-访客未到放数量       | 定时计算 |          |
| 人员通行-访客访问中数量       | 定时计算 |          |
| 人员通行-访客访问结束数量     | 定时计算 |          |
| 人员通行-访客访问部门分析集合 | 定时计算 |          |
| 人员通行-昨日访客数据分析集合 | 按天计算 | JSON     |
| 车辆通行-今日车流量           | 实时计算 |          |
| 车辆通行-地下停车场出入车次   | 实时计算 |          |
| 车辆通行-地面停车场出入车次   | 实时计算 |          |
| 车辆通行-今日停车记录分析集合 | 定时计算 | JSON     |
| 车辆通行-实时停车记录集合     | 实时计算 | JSON     |
|                               |          |          |



## 智慧场景

时间维度：天

模块维度：会议，餐饮，活动中心，文印，厕位，阅览室

| 指标                          | 计算时间 | 类型         |                  |
| ----------------------------- | -------- | ------------ | ---------------- |
| 会议-会议室总数               | 天计算   |              |                  |
| 会议-当前在用会议室数         | 实时计算 |              |                  |
| 会议-昨日使用时长             | 天计算   |              |                  |
| 会议-昨日未使用时长           | 天计算   |              |                  |
| 会议-7日线下会议次数          | 天计算   |              |                  |
| 会议-7日线上会议次数          | 天计算   |              |                  |
| 会议-7日混合会议次数          | 天计算   |              |                  |
| 会议-7日会议时长分析集合      | 天计算   | JSON         |                  |
| 会议-7日会议平均时长          | 天计算   |              |                  |
| 会议-7日会议按部门分类集合    | 天计算   | JSON         |                  |
| 会议-7日会议部门分类平均时长  | 天计算   |              |                  |
| 餐饮-今日消费                 | 实时计算 |              |                  |
| 餐饮-今日消费人次             | 实时计算 | 是实时累加么 |                  |
| 餐饮-早餐人均消费             | 定时计算 |              |                  |
| 餐饮-午餐人均消费             | 定时计算 |              |                  |
| 餐饮-晚餐人均消费             | 定时计算 |              |                  |
| 餐饮-7日消费金额集合          | 天计算   | JSON         |                  |
| 餐饮-本月早餐最受欢迎菜品集合 |          | JSON         |                  |
| 餐饮-本月中餐最受欢迎菜品集合 |          |              |                  |
| 餐饮-本月晚餐最受欢迎菜品集合 |          |              |                  |
| 餐饮-午餐高峰部门用餐分析集合 | 定时计算 |              | 初始值用昨天数据 |
| 活动中心-今日消费             |          |              |                  |
| 活动中心-今日消费人次         |          |              |                  |
| 活动中心-7日消费金额集合      | 天计算   | JSON         |                  |
| 活动中心-7日消费类型分析集合  | 天计算   | JSON         |                  |
| 活动中心-7日消费部分分析集合  | 天计算   | JSON         |                  |
| 文印-打印机数量               | 天计算   |              |                  |
| 文印-今日打印任务数           | 实时     |              |                  |
| 文印-今日打印任页数           | 实时     |              |                  |
| 文印-7日部分打印页数集合      | 天计算   | JSON         |                  |
| 厕位-厕位总数                 | 天       |              |                  |
| 厕位-当前空闲                 | 实时     |              |                  |
| 厕位-当前空闲绿               | 前端计算 |              |                  |
| 厕位-当前楼层使用率集合       | 实时     | JSON         |                  |
| 阅览室-总外借数               | 天计算   |              |                  |
| 阅览室-还书准时率             | 天       |              |                  |
| 阅览室-在外数量               | 天       |              |                  |
| 阅览室-员工阅读喜好分析集合   | 天       | JSON         |                  |
|                               |          |              |                  |



## 概览

时间维度：天

模块维度：能环，安消，出入通行，智慧场景

| 指标                      | 计算时间 |      |
| ------------------------- | -------- | ---- |
| 能环-当月用电量           | 天       |      |
| 能环-日均用电量较上月     |          |      |
| 能环-当月用水量           |          |      |
| 能环-日均用水量较上月     |          |      |
| 能环-当月制冷量           |          |      |
| 能环-日均制冷量较上月     |          |      |
| 能环-当月发热量           |          |      |
| 能环-日均发热量较上月     |          |      |
| 能环-室外温度             | 实时     |      |
| 能环-室内温度             | 实时     |      |
| 能环-室内湿度             | 实时     |      |
| 能环-室内PM2.5            | 实时     |      |
| 能环-监测设备总数         | 天计算   |      |
| 能环-监测设备在线数       | 实时     |      |
| 安消-本月安防事件已处理数 |          |      |
| 安消-本月安防事件未处理数 |          |      |
| 安消-摄像头总数           |          |      |
| 安消-关键监控区域         |          |      |
| 安消-周边防护设备数       |          |      |
| 安消-本月消防事件已处理数 |          |      |
| 安消-本月消防事件未处理数 |          |      |
| 安消-消防管道平均水压     |          |      |
| 安消-配电箱平均温度       |          |      |
| 安消-基础消防设备数       |          |      |
| 通行-人员通信人次         |          |      |
|                           |          |      |



# 表设计

表设计总数：18

表定义格式：   operation___维度模块_____day 

​                          operation___维度模块____hour              



| 表名                      | 表子段 | 字段类型 | 计算     | 描述          |
| ------------------------- | ------ | -------- | -------- | ------------- |
| 日期                      | t_date | datetime |          |               |
| 电量-当月用电量           |        | Float    | 按天计算 | 能源与环境表  |
| 电量-上月用电量           |        | Float    | 按天计算 |               |
| 电量-上月用电量分析集合   |        | Text     | 按天计算 |               |
| 电量-本月层均用电量       |        | Float    | 按天计算 |               |
| 电量-**楼层用电分析**集合 |        | Text     | 按天计算 | 能源与环境表  |
| 租户ID                    |        | int      |          | 默认值：10316 |
| 创建时间                  |        |          |          |               |
| 更新时间                  |        |          |          |               |




# 接口设计

- URL定义：模块URL？

  查询规则：

  - 如果通过传入日期无数据处理，默认查询最后一条数据
  - 提供cache缓存（X小时）

- 输入：

|                | 类型 |               |
| -------------- | ---- | ------------- |
| 日期（非必填） | text | ”2022-04-22“  |
| 租户ID         | int  | 默认值：10316 |
|                |      |               |

- 输出：

  ```
  ```

  


